curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/fields-context/public", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"defaultCriteria": [
{
"id": "00000000-0000-4000-8000-000000000012",
"companyId": "00000000-0000-4000-8000-000000000011",
"defaultCriterionId": null,
"name": "No handoff",
"type": "deterministic",
"condition": {
"scope": "SCALAR",
"predicate": {"left": {"path": "escalated", "dataType": "boolean"}, "operator": "==", "right": {"value": false}}
},
"blocking": true,
"judgePrompt": null,
"passPrompt": null,
"failPrompt": null,
"isActive": true,
"createdAt": "2026-10-12T10:00:00.000Z",
"updatedAt": "2026-10-12T10:00:00.000Z"
}
],
"contextFields": [{"path": "escalated", "dataType": "boolean"}],
"operatorTypes": ["==", "!=", "contains"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Test Suite
Get Test Suite fields context
Get available library criteria and deterministic-condition metadata.
GET
/
v2
/
test-suite
/
fields-context
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/fields-context/public", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"defaultCriteria": [
{
"id": "00000000-0000-4000-8000-000000000012",
"companyId": "00000000-0000-4000-8000-000000000011",
"defaultCriterionId": null,
"name": "No handoff",
"type": "deterministic",
"condition": {
"scope": "SCALAR",
"predicate": {"left": {"path": "escalated", "dataType": "boolean"}, "operator": "==", "right": {"value": false}}
},
"blocking": true,
"judgePrompt": null,
"passPrompt": null,
"failPrompt": null,
"isActive": true,
"createdAt": "2026-10-12T10:00:00.000Z",
"updatedAt": "2026-10-12T10:00:00.000Z"
}
],
"contextFields": [{"path": "escalated", "dataType": "boolean"}],
"operatorTypes": ["==", "!=", "contains"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Get available library criteria and deterministic-condition metadata.
Headers
string
required
Bearer token containing your workspace API key. The key needs
read scope.Response
ReturnsdefaultCriteria, contextFields, operatorTypes and quantifierTypes. Metadata arrays below are abbreviated; the API returns all supported entries.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/fields-context/public", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"defaultCriteria": [
{
"id": "00000000-0000-4000-8000-000000000012",
"companyId": "00000000-0000-4000-8000-000000000011",
"defaultCriterionId": null,
"name": "No handoff",
"type": "deterministic",
"condition": {
"scope": "SCALAR",
"predicate": {"left": {"path": "escalated", "dataType": "boolean"}, "operator": "==", "right": {"value": false}}
},
"blocking": true,
"judgePrompt": null,
"passPrompt": null,
"failPrompt": null,
"isActive": true,
"createdAt": "2026-10-12T10:00:00.000Z",
"updatedAt": "2026-10-12T10:00:00.000Z"
}
],
"contextFields": [{"path": "escalated", "dataType": "boolean"}],
"operatorTypes": ["==", "!=", "contains"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Was this page helpful?

